Name: jakarta-commons-el
Version: 1.0
Release: alt0.M24.1

Summary: JSP 2.0 Expression Language Interpreter
License: Apache Software License
Group: Development/Java
Packager: Vladimir Lettiev <crux@altlinux.ru>

Url: http://jakarta.apache.org/commons/el
Source0: http://www.apache.org/dist/jakarta/commons/el/source/commons-el-%version-src.tar.gz
Source1: %name-build.properties

Patch1: %name-build.xml.patch

BuildPreReq: /proc
BuildPreReq: rpm-build-java
BuildPreReq: ant ant-junit j2se1.4-sun-devel junit jakarta-servletapi5

BuildArch: noarch

Requires: java-common >= 1.2 j2se >= 1.4.2 jakarta-servletapi5

%description
The  commons-el  package  provides  an  implementation of the standard
interfaces  and  abstract classes of the javax.servlet.jsp.el package,
which is part of the JSP 2.0 specification.
The classes that are now released as commons-el used to be part of the
JSTL  1.0 reference implementation. JSTL 1.0 originally introduced the
concept  of  an  Expression  Language  (EL).  The  EL  has  since been
integrated  into  the  JSP  2.0  specification,  which  also added new
features to it, such as EL Functions.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common >= 1.2

%description javadoc
Javadoc for %name

%prep
%setup -qn commons-el-%version-src
%patch1
%__cp %SOURCE1 build.properties

%build
%__ant dist

%install
%__mkdir_p %buildroot%_javadir
%__mkdir_p %buildroot%_javadocdir/%name
%__mkdir_p %buildroot%_docdir/%name-%version

%__install -m644 dist/commons-el.jar %buildroot%_javadir/%name.jar

%__mv dist/docs/api %buildroot%_javadocdir/%name

%__cp  dist/*.txt %buildroot%_docdir/%name-%version/
%__cp  *.html %buildroot%_docdir/%name-%version/

%files
%_javadir/*.jar
%_docdir/%name-%version

%files javadoc
%_javadocdir/%name

%changelog
* Wed May 04 2005 Alexey Borovskoy <alb@altlinux.ru> 1.0-alt0.M24.1
- Backport to Master 2.4
- Fallback to stable version
- Sync with my local repo

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-0.2
- With Javadocs

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-0.1
- First build

